Bug 39812 - TABLE borders do not terminate where they should with merged cells
Summary: TABLE borders do not terminate where they should with merged cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:3.7.0 target:3.6.0 target:3.5.6
Keywords: regression
Depends on:
Blocks: 44768
  Show dependency treegraph
 
Reported: 2011-08-03 12:01 UTC by rm42
Modified: 2012-08-09 13:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot of borders not terminating correctly (8.26 KB, image/jpeg)
2011-08-03 12:01 UTC, rm42
Details
Double Border Table in 3.5 Final (15.72 KB, image/jpeg)
2012-02-16 08:09 UTC, rm42
Details
Double Border Table in 3.3.0 (7.18 KB, image/jpeg)
2012-02-16 08:10 UTC, rm42
Details
Double border table in 3.5.2rc0. (18.59 KB, image/jpeg)
2012-03-22 08:25 UTC, rm42
Details
Double and Single borders in 3.5.5.3 (25.46 KB, image/jpeg)
2012-07-12 16:06 UTC, rm42
Details
bugdoc with horizontally merged cells (10.07 KB, application/vnd.oasis.opendocument.text)
2012-07-23 13:14 UTC, Michael Stahl (CIB)
Details
ScrnShot of Mixing single and double borders problem. (36.66 KB, image/jpeg)
2012-08-06 15:47 UTC, rm42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rm42 2011-08-03 12:01:28 UTC
Created attachment 49886 [details]
Screen shot of borders not terminating correctly

1. Insert table (3 rows, 3 columns)
2. Put cursor on table and from Menu: Table > Select > Table
3. From Menu: Table > Table Properties
4. Select outer border and set the style to the first double line style of the list.
5. Set the thickness of the outer border to 1.00 pt.
6. Merge the cells of the top row.

The result is that the inner border lines do not terminate where they touch the border that limits their length, but extend beyond it by a small amount.  This is clearly visible in the screen and is also noticeable when printing.
Comment 1 Björn Michaelsen 2011-12-23 12:21:48 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 2 rm42 2012-02-16 07:52:40 UTC
Yes this bug is still present with the 3.5 Final release.  By the way, thank you so much for your diligence in looking at all these bugs.  I take my hat off to you.
Comment 3 rm42 2012-02-16 08:09:28 UTC
Created attachment 57163 [details]
Double Border Table in 3.5 Final

This attachments shows how a table with double line borders is displayed in 3.5 Final.
Comment 4 rm42 2012-02-16 08:10:54 UTC
Created attachment 57164 [details]
Double Border Table in 3.3.0

This attachment shows how a table with double borders should display, as shown in LO 3.3.0.
Comment 5 rm42 2012-03-22 08:25:30 UTC
Created attachment 58877 [details]
Double border table in 3.5.2rc0.

Still a problem with merged cells in 3.5.2rc0.
Comment 6 rm42 2012-04-19 07:32:24 UTC
3.5.2.2 Final exhibits the same behavior as the one I describe for 3.5.2rc0
Comment 7 Michael Stahl (CIB) 2012-05-22 05:18:29 UTC
so most of this is fixed (see bug 48647),
but as described in comment #5 the problem still
remains if cells are merged.
Comment 8 rm42 2012-06-06 07:36:14 UTC
Yes, the problem remains for merged cells.  This also applies to LO 3.5.4.2.
Comment 9 rm42 2012-07-12 15:56:38 UTC
The problem remains for merged cells with 3.5.5.3. I cannot deploy this program until this is fixed.
Comment 10 rm42 2012-07-12 16:06:21 UTC
Created attachment 64142 [details]
Double and Single borders in 3.5.5.3
Comment 11 Not Assigned 2012-07-23 12:41:35 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02e80d2e431a57ad775a674eb3cfcd6cec53e09f

fdo#39812: Writer: fix collapsing merged table border painting:
Comment 12 Michael Stahl (CIB) 2012-07-23 13:14:09 UTC
Created attachment 64542 [details]
bugdoc with horizontally merged cells
Comment 13 Michael Stahl (CIB) 2012-07-23 13:15:28 UTC
merged cell border painting fixed on master
Comment 14 Not Assigned 2012-07-24 07:35:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6d01758da37af1d6bab9c14197134ce410d9408&g=libreoffice-3-6

fdo#39812: Writer: fix collapsing merged table border painting:


It will be available in LibreOffice 3.6.1.
Comment 15 Not Assigned 2012-07-24 07:43:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a63ee0c8a7c7a0aec98597e4001558c4e129d29&g=libreoffice-3-5

fdo#39812: Writer: fix collapsing merged table border painting:


It will be available in LibreOffice 3.5.6.
Comment 16 Not Assigned 2012-07-24 20:32:26 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e37cd1ebaee3760677e182e4ac117c813208e31&g=libreoffice-3-6-0

fdo#39812: Writer: fix collapsing merged table border painting:


It will be available already in LibreOffice 3.6.0.
Comment 17 rm42 2012-08-06 15:47:04 UTC
Created attachment 65184 [details]
ScrnShot of Mixing single and double borders problem.

Tried it in 3.5.6rc1 in Windows.  It looks much better, but there are still a few little issues when mixing double and single borders on a table (something that is quite common). See the attachment above for a screen shot of the issues.
Comment 18 Michael Stahl (CIB) 2012-08-07 08:52:17 UTC
@rm42:
as the subject says, this bug is about borders in "merged cells".
please file a new bug for painting bugs in non-merged cells
(and set the "regression" keyword if appropriate).
Comment 19 rm42 2012-08-09 13:00:26 UTC
Gotcha.  Thanks for the good work so far.